/*
    PocketCellar

    Copyright (C) 2002 George Staikos <staikos@kde.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/


#ifndef _ASSISTANT_H
#define _ASSISTANT_H

#include <qlistview.h>
#include "cellarentry.h"


class AssistantEntry : public QListViewItem {
	public:
		AssistantEntry(QListView *parent, CellarEntry *wine)
		: QListViewItem(parent)
		{
			_e = wine;
			setText(0, _e->wine()->name());
			setText(1, _e->wine()->producer());
			setText(2, QString::number(_e->wine()->year()));
			setText(3, QString::number(_e->wine()->score()));
			setText(4, QString::number(_e->quantity()));
			setText(5, QString::number(_e->price()));
		}
		virtual ~AssistantEntry()
		{
		}

	private:
		CellarEntry *_e;
};

#endif

