/*
    PocketCellar

    Copyright (C) 2002 George Staikos <staikos@kde.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include "cellardb.h"
#include <qfile.h>
#include <qdatastream.h>
#include "winedb.h"

#include <sys/stat.h>
#include <sys/types.h>
#include <unistd.h>


QDataStream& operator>>(QDataStream& s, CellarEntry& w) {
float p;
Q_UINT16 q;
QString str;
	s >> p;
	w.setPrice(p);
	s >> q;
	w.setQuantity(q);
	s >> str;
	w.setNotes(str);
return s;
}


QDataStream& operator<<(QDataStream& s, CellarEntry& w) {
	s << w.price();
	s << w.quantity();
	s << w.notes();
return s;
}




long CellarDB::maxEntry = 0; // unused?


bool CellarDB::load(QListView *parent, QListView *wines, int loc) {
	QString path("/home");

	if (loc == 1)
		path = "/usr/mnt.rom/cf";
	else if (loc == 2)
		path = "/usr/mnt.rom/card";

	mkdir(QString(path + "/QtPalmtop/data/PocketCellar").ascii(), 755);

	QFile f(path+"/QtPalmtop/data/PocketCellar/PCellarDB");

	if (!f.open(IO_ReadOnly))
		return false;

	QDataStream ds(&f);
	ds.setPrintableData(false);
	Q_UINT16 v;

	ds >> v;

	if (v != 1)
		return false;

	parent->clear();

CellarEntry junk(parent, 0);
	while (!ds.atEnd()) {
		QString s;
		ds >> s;
		CellarEntry *w = 0;
		for (QListViewItem *i = wines->firstChild();
							  i;
					i = i->nextSibling()) {
			Wine *wine = static_cast<Wine*>(i);
			if (*wine == s) {
				w = new CellarEntry(parent, wine);
				ds >> *w;
				//qDebug(QString("Found it! ")+s);
			}
		}
		if (!w) {
			ds >> junk;
		}
	}

	f.close();

	if (loc != 0)
		unlink("/home/QtPalmtop/data/PocketCellar/PCellarDB");
	if (loc != 1)
		unlink("/usr/mnt.rom/cf/QtPalmtop/data/PocketCellar/PCellarDB");
	if (loc != 2)
		unlink("/usr/mnt.rom/card/QtPalmtop/data/PocketCellar/PCellarDB");

return true;
}


bool CellarDB::save(QListView *parent, int loc) {
	QString path("/home");

	if (loc == 1)
		path = "/usr/mnt.rom/cf";
	else if (loc == 2)
		path = "/usr/mnt.rom/card";

	mkdir(QString(path + "/QtPalmtop/data/PocketCellar").ascii(), 755);

	QFile f(path+"/QtPalmtop/data/PocketCellar/PCellarDB");

//qDebug("Filename %s\n", (path+"/QtPalmtop/data/PocketCellar/PCellarDB").latin1());
	if (!f.open(IO_WriteOnly))
		return false;

	QDataStream ds(&f);
	ds.setPrintableData(false);

	ds << Q_UINT16(1);

	for (QListViewItem *i = parent->firstChild();
						   i;
				i = i->nextSibling()) {
		ds << static_cast<CellarEntry*>(i)->wine()->uuid();
		ds << *(static_cast<CellarEntry*>(i));
	}

	f.close();

	if (loc != 0)
		unlink("/home/QtPalmtop/data/PocketCellar/PCellarDB");
	if (loc != 1)
		unlink("/usr/mnt.rom/cf/QtPalmtop/data/PocketCellar/PCellarDB");
	if (loc != 2)
		unlink("/usr/mnt.rom/card/QtPalmtop/data/PocketCellar/PCellarDB");

return true;
}


