/*
    PocketCellar

    Copyright (C) 2002 George Staikos <staikos@kde.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include "cellarentry.h"
#include <assert.h>


CellarEntry::CellarEntry(QListView *parent, Wine *wine)
: QListViewItem(parent), _wine(wine)
{
	if (wine) {
		setText(0, wine->name());
		setText(1, wine->producer());
		setText(2, QString::number(wine->year()));
		setText(3, QString::number(wine->score()));
		setText(4, QString::number(_quantity));
		setText(5, QString::number(_price));
	}
}


CellarEntry::~CellarEntry() {
}


void CellarEntry::setPrice(float p) {
	_price = p;
	setText(5, QString::number(_price));
}

void CellarEntry::setQuantity(Q_UINT16 q) {
	_quantity = q;
	setText(4, QString::number(_quantity));
}

void CellarEntry::setNotes(QString n) {
	_notes = n;
}

CellarEntry& CellarEntry::operator=(const CellarEntry& x) {
	_price = x.price();
	_quantity = x.quantity();
	_notes = x.notes();
	_wine = x.wine();
return *this;
}


