/*
    PocketCellar

    Copyright (C) 2002 George Staikos <staikos@kde.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/


#ifndef _CELLARENTRY_H
#define _CELLARENTRY_H

#include <qlistview.h>
#include "winedb.h"


class CellarEntry : public QListViewItem {
	public:
		CellarEntry(QListView *parent, Wine *wine);
		virtual ~CellarEntry();


		void setPrice(float p);
		void setQuantity(Q_UINT16 q);
		void setNotes(QString n);

		const QString& notes() const { return _notes; }
		Q_UINT16 quantity() const { return _quantity; }
		float price() const { return _price; }

		Wine *wine() const { return _wine; }

		CellarEntry& operator=(const CellarEntry& x);

	private:
		float _price;
		Q_UINT16 _quantity;
		QString _notes;
		Wine *_wine;
};

#endif

