/*
    PocketCellar

    Copyright (C) 2002 George Staikos <staikos@kde.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/


#ifndef _POCKETCELLAR_H
#define _POCKETCELLAR_H

#include <qwidget.h>
#include <qmap.h>
#include <qstringlist.h>
#include <qstring.h>

#include "pcellar.h"

#include "stats.h"

class Wine;
class CellarEntry;

class PocketCellar : public PocketCellarBase {
Q_OBJECT
	public:
		PocketCellar(QWidget *parent = 0, const char *name = 0);
		virtual ~PocketCellar();

	public slots:
		virtual void slotEditWine();
		virtual void slotNewWine();
		virtual void slotRemoveWine();
		virtual void slotViewWine();
		virtual void slotEditWineDB();
		virtual void slotNewWineDB();
		virtual void slotRemoveWineDB();
		virtual void slotViewWineDB();
		virtual void slotRecommend(const QString&);
		virtual void updateStats();

	private slots:
		void updateCellarButtons(QListViewItem*);
		void updateDatabaseButtons(QListViewItem*);

	private:
		void cellarEditor(CellarEntry *ce, bool ro);
		void wineEditor(Wine *w, bool ro);

		void setupAssistant();

		Stats stats;
		QMap<QString,QStringList> grapeMap;
		QMap<QString,QStringList> wineMap;
};


#endif

