/*
    PocketCellar

    Copyright (C) 2002 George Staikos <staikos@kde.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/


#include <stdio.h>
#include <stdlib.h>

#include <qlistbox.h>
#include <qlineedit.h>
#include <qglobal.h>
#include <qobject.h>
#include <qpushbutton.h>
#include <qlistbox.h>
#include <qtoolbutton.h>


#include "wineentry.h"
#include "offerlist.h"
#include "winedb.h"


WineEditor::WineEditor(QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0)
: WineEditorBase(parent, name, modal, fl), _databaseList(0)
{
}


WineEditor::~WineEditor()
{
}


void WineEditor::slotChooseProducer() {
	if (!_databaseList)
		return;

	OfferList *ol = new OfferList(0, "Producer Offering", true);
	ol->setCaption(tr("Choose a producer..."));
	Wine *e = 0;
	for (e = static_cast<Wine*>(_databaseList->firstChild()); 
							       e; 
			e = static_cast<Wine*>(e->nextSibling())) {
		if (!ol->_list->findItem(e->producer()))
			ol->_list->insertItem(e->producer());
	}
	ol->_list->setSelected(0, true);
	ol->_list->sort();
	int rc = ol->exec();
	if (rc == QDialog::Accepted) {
		QString offering = ol->_list->currentText();
		if (!offering.isEmpty())
			_producer->setText(offering);
	}
}


void WineEditor::slotChooseRegion() {
	if (!_databaseList)
		return;

	OfferList *ol = new OfferList(0, "Region Offering", true);
	ol->setCaption(tr("Choose a region..."));
	Wine *e = 0;
	for (e = static_cast<Wine*>(_databaseList->firstChild()); 
							       e; 
			e = static_cast<Wine*>(e->nextSibling())) {
		if (!ol->_list->findItem(e->region()))
			ol->_list->insertItem(e->region());
	}
	ol->_list->setSelected(0, true);
	ol->_list->sort();
	int rc = ol->exec();
	if (rc == QDialog::Accepted) {
		QString offering = ol->_list->currentText();
		if (!offering.isEmpty())
			_region->setText(offering);
	}
}



